Récemment, je me suis aperçu que par rapport à mon premier billet sur l'installation de QGIS 0.8.0, l'option d'exportation de QGIS ne marchait pas! Par «exportation de QGIS », j'entends

fichier de projet de QGIS en .qgs --[Exportation]--> fichier .map pour MapServer

En effet dans le sous-répertoire tools/mapserver_export/, la compilation ne passait pas.

Or celui-ci a besoin des headers de Python 2.4 (chez moi) pour être compilé. La solution a donc été

apt-get install python2.4-dev
puis comme cette option de Qgis nécessite python, c'est surtout l'option --with-python qu'il faut passer à configure pour l'activer
 ./configure --with-qtdir=/usr --with-wfs --with-python --with-geos=/usr/local/bin/geos-config --with-projdir=/usr/local \
--with-gdal=/opt/gdal-1.4.0/bin/gdal-config --with-postgresql=/usr/local/pgsql/bin
Et ensuite comme d'habitude
make
make install

Pour tester ensuite l'option, je me suis ensuite connecté au server WMS de GEOSIGNAL que j'ai chargé dans QGIS. Conformément à la directive de licence en cours sur le site de cette société, je rappelle ici l'URL de la licence du cadre d'utilisation. Je me suis amusé à zoomersur ma propre ville à savoir Castelnau-Le-Lez. En utilisant l'exportateur, j'ai eu